version: '3.7'

services:
  bankingapi:
    container_name: bankingApi
    build: .
    command: bash -c "npm install && node index"
    ports:
      - 3000:3000
    networks:
      - proxy
    environment:
      - VIRTUAL_HOST=banking-api-uat.nampost.com.na
      - VIRTUAL_PORT=3000
    volumes: 
      - .:/project
    expose:
      - 3000

  redis:
    container_name: redis
    image: "redis:alpine"
    command: redis-server --requirepass iIdzPAO26J1YXnZLM1xH

    ports:
      - "6379:6379"

    volumes:
      - $PWD/redis-data:/var/lib/redis
      - $PWD/redis.conf:/usr/local/etc/redis/redis.conf

    networks:
      - proxy

    volumes: 
      - redis:/data

volumes:
  redis:

networks:
  proxy:
      name: proxy

                  
